{% extends 'base.html.twig' %}

{% block title %}Person index{% endblock %}

{% block body %}
    <h1>Person index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Firstname</th>
                <th>Lastname</th>
                <th>Bithday</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for person in people %}
            <tr>
                <td>{{ person.id }}</td>
                <td>{{ person.firstname }}</td>
                <td>{{ person.lastname }}</td>
                <td>{{ person.bithday ? person.bithday|date('Y-m-d H:i:s') : '' }}</td>
                <td>
                    <a href="{{ path('person_show', {'id': person.id}) }}">show</a>
                    <a href="{{ path('person_edit', {'id': person.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="5">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('person_new') }}">Create new</a>
{% endblock %}
